'Merge selected features' tool creates invalid MULTIPOLYGON instead of POLYGON geometry

2012-03-23 05:10 AM - Ivan Mincik

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14960

Description

In some cases, 'Merge selected feature' tool creates invalid MULTIPOLYGON instead of possible single POLYGON geometry. 

This makes a problem in case, when layer supports only single POLYGON geometries. This problem can be avoided, when all nodes of

one of the features are moved and returned back to the same place using 'Node tool' before merge.

Example data is attached. I also did test with merging the geometries using PostGIS - correct single polygon was returned.

SELECT 

ST_GeometryType(

    ST_Union(

        ST_GeomFromText('POLYGON)'),

        ST_GeomFromText('POLYGON)')

    )

)

st_geometrytype 

-----------------

 ST_Polygon

(1 row)

Qgis: latest release-1_7 branch

OS: Debian Squeeze

Geos: 3.2.0-1

History

#1 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#2 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2013-01-11 11:55 PM - Nathan Woodrow

- Assignee deleted (Nathan Woodrow)

#4 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

qgis-merge.zip 1.91 KB 2012-03-23 Ivan Mincik
